// Arquivo de exemplo: Exception.cs
// Para compilar utilize: csc Exception.cs
using System;
using System.IO;
class Exception1 {
	public static void Main() {
		string arquivo = @"C:\Livro\Capitulo25\MeuArquivo.txt";
		if (File.Exists(arquivo)) {
			try {
				using (StreamReader sr = File.OpenText(arquivo)) {
					Console.WriteLine(sr.ReadToEnd());
					Console.Read();
				}
			}
			catch(ArgumentNullException ex) {
				Console.WriteLine(ex.Message);
			}
			catch (UnauthorizedAccessException ex) {
				Console.WriteLine(ex.Message);
			}
			catch (FileNotFoundException ex) 	{
				Console.WriteLine(ex.Message);
			}
			catch (DirectoryNotFoundException ex) {
				Console.WriteLine(ex.Message);
			}
			catch (NotSupportedException ex) 	{
				Console.WriteLine(ex.Message);
			}
			catch (ArgumentException ex) {
				Console.WriteLine(ex.Message);
			}
			catch (PathTooLongException ex) {
				Console.WriteLine(ex.Message);
			}
			catch (OutOfMemoryException ex) {
				Console.WriteLine(ex.Message);
			}
			catch (IOException ex) {
				Console.WriteLine(ex.Message);
			}
			catch (Exception ex) {
				Console.WriteLine(ex.Message);
			}
		}
		else {
			Console.WriteLine("O arquivo: " + arquivo + " não existe.");
		}	
	}
}
